/**
*
* Proyect:NUHU
* File: V/M/styles.css
* Version : v2021-09-15
* author: Quidware.com
* descr: CSS Globales
*
*/

html, body {
  /* font-family: 'Roboto', 'Helvetica', sans-serif; */
  font-family: "macho" !important;
  overflow: hidden;
}
h1,h2,h3,h4,h5 {
  padding: 10px 8px !important;
  /* margin: 10px 0 !important; */
  margin: 0 !important;
  font-family: "macho" !important;
}
h1 {
  font-size: 250%;
}
h2 {
  font-size: 220%;
}
h3 {
  font-size: 190%;
}
h4 {
  font-size: 160%;
}
h4 {
  font-size: 130%;
}
ul, ol {
  line-height: 24px;
}
i.material-icons {
  vertical-align: middle;
  width: 24px;
  overflow: hidden;
}
.nuhu-avatar {
  width: 48px;
  height: 48px;
  border-radius: 24px;
}
.mdl-layout {
    overflow-y: hidden;
}
.mdl-layout__container {
    overflow: hidden;
}
.mdl-layout__header{
  background-color: #fafafa !important;
}
.nuhu-layout .mdl-layout__header .mdl-layout__drawer-button {
  color: rgba(0, 0, 0, 0.54);
  background-color: #fafafa;
}
.mdl-layout__drawer .avatar {
  margin-bottom: 16px;
}
.nuhu-drawer {
  border: none;
}
/* iOS Safari specific workaround */
.nuhu-drawer-header .mdl-menu__container {
  z-index: -1;
}
.nuhu-drawer .nuhu-navigation {
  z-index: -2;
}
/* END iOS Safari specific workaround */
.nuhu-drawer .mdl-menu .mdl-menu__item {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}
.nuhu-navigation .mdl-menu .mdl-menu__item, #titBar .mdl-menu .mdl-menu__item, #inicioMenuCategs .mdl-menu .mdl-menu__item { /* :not(#user-menu) */
  height: 33px;
  line-height: 33px;
}
.nuhu-drawer-header {
  box-sizing: border-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  padding: 16px;
  height: 151px;
}
.nuhu-avatar-dropdown {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  width: 100%;
}
.nuhu-navigation {
  -webkit-flex-grow: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}
.nuhu-layout .nuhu-navigation .mdl-navigation__link, .nuhu-navigation .mdl-button {
  display: -webkit-flex !important;
  display: -ms-flexbox !important;
  display: flex !important;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  color: rgba(255, 255, 255, 0.56);
  font-weight: 500;
  /* padding: 16px 10px 16px 40px; */
  padding: 16px;
}
.nuhu-layout .nuhu-navigation .mdl-navigation__link:hover, .nuhu-navigation .mdl-button:hover {
  background-color: rgb(255,64,129);
  color: #37474F;
}
.nuhu-layout .nuhu-navigation .mdl-navigation__link:hover .material-icons, .nuhu-navigation .mdl-button:hover .material-icons{
  color: #37474F !important;
}
.nuhu-navigation .mdl-navigation__link .material-icons {
  font-size: 24px;
  color: rgba(255, 255, 255, 0.56);
  margin-right: 32px;
  margin-right: 12px;
}
.nuhu-navigation .mdl-button .material-icons {
  font-size: 24px;
  color: rgba(255, 255, 255, 0.56);
  margin-right: 4px;
}
.mdl-layout__drawer .nuhu-navigation .mdl-button {
  display: block;
  -webkit-flex-shrink: 0;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  /* padding: 16px 10px 16px 40px; */
  padding: 16px;
  text-decoration: none;
  margin: 0;
  font-size: 14px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0;
  opacity: .87;
  width: 100%;
  height: 56px;
  /* text-transform: none; */
}
.nuhu-content {
  max-width: 1080px;
  margin: auto;
}
.mdl-mini-footer {
  margin-top: 15px;
  background-color: #38bdb0;
  padding: 22px 16px;
  color: white;
}
.mdl-mini-footer__social-btn{
  background-color: #f1ea3d;
  color: #f37223;
  margin-left: 3px;
}

/*######## MDL QUIDWARE TEMPLATE EXPERIMENTATION ##########*/
/*############################*/

/* NO SE PUEDE USAR DIRECTO PORQUE EVITA QUE SE DESLICE EL MENU:
  .mdl-layout__drawer{
    overflow-y: visible;
  }
  .mdl-menu__container.is-visible .mdl-menu__outline {
    padding-right: 50px;
  }
 */

/*######## NUHU SPEC ##########*/
/*############################*/
.Nuhu-Bg-Purpura{ background-color: #9c3c96;}
.Nuhu-Bg-Gris{ background-color: #9e9e9e;}
.Nuhu-Bg-Verde{ background-color: #009a49;}
.Nuhu-Bg-Turquesa{ background-color: #38bdb0;}
.Nuhu-Bg-Amarillo{ background-color: #f1ea3d;}
.Nuhu-Bg-Naranja{ background-color: #f37223;}
.Nuhu-Bg-Azul{ background-color: #3fb0e5;}

.Nuhu-Bg-Tache{ background-color: rgba(237,85,37,0.7) !important; }

.Nuhu-Amarillo{ color: #f1ea3d;}

.textarea {
  resize: both;
  border: 1px solid gray;
  margin-bottom: 10px;
}

.mdl-grid {
  padding: 0 !important;
}
.oculto{
  display: none;
}
.drawer-oculto{
  -webkit-transform: translateX(-240px) !important;
  transform: translateX(-240px) !important;
}
.mdl-layout__header-row.cargado{
  background: url(/images/logoTextoConIcono.svg) no-repeat center calc(50% - 2px), linear-gradient(transparent, transparent) !important;
  background-size: 252px !important;
}
.mdl-textfield--expandable{
  background-color: whitesmoke;
  height: 55px;
  margin-top: -10px;
}
.mdl-textfield {
  margin: 0 0 -10px 0;
  /*max-width: 270px;*/
}
.mdl-textfield__error {
  margin-top: 0px;
  line-height: 14px;
}

#botInfDer {
  position: fixed;
  display: block;
  right: 0;
  bottom: 0;
  margin-right: 24px;
  margin-bottom: 60px;
  z-index: 8;
}
.mdl-snackbar{
  z-index: 10;
}
.mdl-layout__header-row{
  padding-right: 22px;
}
.mdl-menu__item .material-icons{
  vertical-align: middle;
  margin-right: 5px;
}
#prodsMenuCntnt .mdl-menu__item {
  font-size: smaller;
}
.mdl-layout-spacer + .material-icons{
  margin-left: 5px;
  margin-right: 0;
}
.mdl-layout__content>#nuhu-content{
  min-height: calc(100vh - 194px);
  max-width: 1024px;
  margin: auto;
}
.mdl-grid.nuhu-productos .mdl-cell{
  min-height: 200px;
  background-size: contain;
  background-position: center top;
  background-repeat: no-repeat;
}
.mdl-menu__item a {
  color: rgba(0,0,0,.87);
}
#hdrbdg{
  cursor: pointer;
}

/* -- Barra Progreso -- */
.mdl-progress {
  width: 100%;
  transition: opacity ease-out 1s;
}
.mdl-progress div {
  height: 4px;
}
/**/
.mdl-progress>.progressbar{
  /* background-color: rgb(64,255,110); */
  background-color: #6dbe45;
}
.mdl-progress>.bufferbar{
  /* background-image: linear-gradient(to right,rgba(255,110,64,.7),rgba(255,110,64,.7)),linear-gradient(to right,rgb(255,110,64),rgb(255,110,64)); */
  background-image: linear-gradient(to right,#94de7077,#94de7077),linear-gradient(to right,#94de70,#94de70);
}
.mdl-progress:not(.mdl-progress--indeterminate):not(.mdl-progress--indeterminate)>.auxbar, .mdl-progress:not(.mdl-progress__indeterminate):not(.mdl-progress__indeterminate)>.auxbar{
  /* background-image: linear-gradient(to right,rgba(255,110,64,.7),rgba(255,110,64,.7)),linear-gradient(to right,rgb(255,110,64),rgb(255,110,64)); */
  background-image: linear-gradient(to right,#94de7077,#94de7077),linear-gradient(to right,#94de70,#94de70);
}
/**/

/* -- Modales -- */
.modalDialog, .modalterms, .fade {	/* , #mas , #fotos */
  position: fixed;
  font-family: 'latomedium', sans-serif;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0,0,0,0.5);
  z-index: 9;
  opacity: 0;
  -webkit-transition: opacity 400ms ease-in;
  -moz-transition: opacity 400ms ease-in;
  transition: opacity 400ms ease-in;
  pointer-events: none;
}
.modalDialog:target, .modalterms:target, .fade:target {	/* , #mas:target, #fotos:target */
  opacity: 1;
  pointer-events: auto;
}
.modalterms:target, .fade:target {
  overflow: hidden;
  max-height: 100%;
}
.modalDialog:target {
  overflow: auto;
}
.modalDialog .close, .modalterms .close {
  color: #e0e0e0;
  font-weight: bold;
  text-decoration: none;
  z-index: 1;
  opacity: 1 !important;
  display: block;
  background-color: #37474F;
  /*/
  position: absolute;
  right: 3px;
  top: 3px;
  line-height: 25px;
  font-size: 34px;
  border-radius: 15px;
  padding: 3px 5px;
  /*/
  position: fixed;
  right: 20px;
  top: 10px;
  line-height: 25px;
  font-size: 34px;
  border-radius: 15px;
  padding: 3px 5px;
  /**/
}
.modalDialog > div, .modalterms > div {
  position: relative;
  box-sizing: border-box;
  padding: 5px 16px 13px 16px;
  border-radius: 10px;
  background: #fff;
  -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
  box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
}
.modalDialog > div {
  min-width: 304px;
  width: 304px;
  max-width: 95%;
  margin: 70px auto 2%;
  overflow: hidden;
}
.modalterms > div {
  width: 60%;
  max-height: 88%;
  margin: 2% auto 0;
  padding: 2.5em;
  padding: 40px;
  overflow-x: hidden;
  overflow-y: auto;
}
.modalterms p {
  /* text-align: justify; */
}

/* -- Modal de Inicio de Sesión -- */
#signinModal .btn, #registryModal .btn, #askPwdRestModal .btn, #sentPwdRestModal .btn, #verifyModal .btn {
  line-height: 31px;
  position: relative;
  padding: 5px 22px;
  border: 0;
  margin: 10px 0;
  cursor: pointer;
  border-radius: 4px;
  text-transform: uppercase;
  text-decoration: none;
  outline: none !important;
  -webkit-transition: background-color 0.2s ease-out;
  -moz-transition: background-color 0.2s ease-out;
  -o-transition: background-color 0.2s ease-out;
  -ms-transition: background-color 0.2s ease-out;
  transition: background-color 0.2s ease-out;
  /* box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); */
  width: 272px;
  height: 40px;
  font-size: 12px !important;
}
.btn-primary-facebook {
  background: #004c98 !important;
  color: #ffffff
}
.btn-primary-facebook:hover, .btn-primary-facebook:focus {
  background-color: #2177ce !important;
}
.btn-primary-facebook.active {
  background-color: #004c98 !important;
}
.btn-primary-google {
  background: #40b252 !important;
  color: #ffffff
}
.btn-primary-google:hover, .btn-primary-google:focus {
  background-color: #48dc5f !important;
}
.btn-primary-google.active {
  background-color: #40b252 !important;
}

/* ######- Responsividad  -######## SMALL - LARGE - DESKTOPS (va primero) */
/*########################### */
/* -- MDL-Small (with Drawer CLOSED, Teams with MDL-Large) -- */
@media (max-width: 1024px){
  .mdl-layout__header-row { padding-right: 6px; }
  /* .mdl-layout__drawer .mdl-navigation .mdl-button { padding: 16px; } */
  .mdl-progress { top: 56px; }
  .rightPanel{ width: calc(66.6666666667% + 16px); }
  .mdl-layout__content>#nuhu-content {
    min-height: calc(100vh - 208px);
  }
}
/* -- MDL-Large (with Drawer OPEN, Teams with MDL-Small) -- */
@media (min-width: 1025px){
  .mdl-progress { top: 64px; }
  .rightPanel{ width: calc(66.6666666667% + 16px); }
}

/* #####- Responsividad  -##### Dispositivos (va segundo) */
/*############################# */
/* -- MDL-Phone -- */
@media (max-width: 479px){
  .cntPanels{ position: inherit; }
  .leftPanel{	height: auto; width: 100%; }
  .rightPanel{ width: 100% }
  .modalterms > div{
    min-width: calc(100% - 20px) !important;
    padding: 8px !important;
  }
  .mdl-mini-footer--link-list, .mdl-mini-footer__link-list {
    display: block;
  }
  .mdl-layout__header-row {
    background-position: calc(50% + 5px) !important;
  }
  #botInfDer {
    margin-right: 20px;
    margin-bottom: 20px;
  }
  header, .mdl-layout__header-row.cargado{
    background-size: 220px !important;
    /* background-position: calc(50% + 5px) calc(50% - 2px) !important; */
  }
  .mdl-layout__header .mdl-layout__drawer-button {
    margin: 4px;
    margin-left: 0;
  }
}
/* -- MDL-Tablet -- */
@media (min-width: 480px) and (max-width: 839px){
  .rightPanel{ width: 62.5% }
  .modalterms > div{
    min-width: 430px;
    width: 85%;
    max-width: calc(100% - 4px);
    padding: 4vmin !important;
  }
}
/* -- MDL-Desktop -- */
@media (min-width: 840px){
  .rightPanel{ width: calc(66.6666666667% + 16px); }
}

/* -- QUIDWARE - Phones in Horizontal Scope -- */
@media (max-height: 479px){
  .modalDialog > div {
    margin-top:0;
  }
}
/* -- QUIDWARE - Printing rules -- */
@media print {
  body, .mdl-layout__container, .nuhu-layout, main {
    display: block !important;
    position: relative !important;
    width: auto !important;
    height: auto !important;
    overflow: visible !important;
    margin-left:0 !important;
  }
  .videoiframer {
    display: none !important;
    height: 0 !important;
  }
  *, li, div {
      -webkit-print-color-adjust: exact !important;   /* Chrome, Safari */
      color-adjust: exact !important;                 /*Firefox*/
  }
  .tgl {
    display: initial !important;
  }
  .tgl-flip + .tgl-btn:before{
    display: block !important;
    color: red !important;
  }
  .tgl-flip + .tgl-btn:after {
    display: none !important;
    color:white !important;
  }
  .tgl-flip:checked + .tgl-btn:before {
    display: none !important;
    color:white !important;
  }
  .tgl-flip:checked + .tgl-btn:after {
    display: block !important;
    color: green !important;
  }
  a[href^=http]:after {
  	content:" (" attr(href) ")";
  }
  .mdl-layout__drawer-button{
    display: none !important;
  }
}

/* -- Nuevos -- */
main{
  overflow-x: auto;
}
.page-content {
  padding: 0 10px;
}
#prodsMenu li {
  font-size: 13px;
  line-height: 40px;
  height: 40px;
}
#titBar, #botBar{
  /* background-color: #5a7b13; */
  background-color: #009a49;
  color:white;
  padding: 0 8px;
  margin: 8px 0;
  line-height: 40px;
}
#titBar .material-icons{
  vertical-align: text-bottom;
}
#titBar h2, #titBar h3{
  font-size:24px;
  display: inline;
}
#catbtn{
  vertical-align: text-bottom;
  margin: -4px 0;
}
#botBar #catRetro{
  float: left;
}
#botBar #catProgr, #botBar #btnshopping{
  float: right;
}
.mdl-cell.monto{
  text-align:center;
  background:#dedede;
  margin: 0;
  padding: 8px;
}
#nuhu-total{
  border-top: double gray 4px;
  text-align: right;
}
.mdl-menu a{
  text-decoration: none;
}
#txt-sup, #txt-inf{
  color: white;
  text-align: center;
}
.asterisco{
  font-size: 1.7em;
  line-height: 16px;
  vertical-align: middle;
  font-weight: bold;
}
.table-Sticky-Head tr th {
  position: sticky;
  top: 0;
  text-align: left;
  z-index: 3;
  background-color: lightgray;
}
.mdl-navigation__link .mdl-button{
  text-transform: none;
}
.cantProds{
  width: 22px;
  display: inline-table;
  font-weight: bold;
}
fieldset{
  border: 2px #9c3c96 solid;
  margin: 10px 2px;
  padding: 0.75em;
}
legend{
  font-weight: bold;
  padding: 0 5px;
}
fieldset .mdl-textfield {
  max-width: 270px;
}
.grid-center{
  flex-direction: column;
  text-align: center;
}
/* https://github.com/google/material-design-lite/issues/5281#issuecomment-543049271 */
.OLD-mdl-js-ripple-effect{
  background-position: center;
 transition: background 0.8s;
}
.OLD-mdl-js-ripple-effect:hover {
 background: rgb(255,64,129) radial-gradient(circle, transparent 1%, rgb(255,64,129) 1%) center/15000%;
}
.OLD-mdl-js-ripple-effect:active {
 background-color: rgba(158,158,158,.4);
 background-size: 100%;
 transition: background 0s;
}
